diff --git a/doc/bash.ps b/doc/bash.ps
index 7a1f7eb6..e3a221b8 100644
--- a/doc/bash.ps
+++ b/doc/bash.ps
@@ -4326,10 +4328,10 @@ Q .822 -.15(ve f)-.15 H(orw).15 E .522(ard to the end of the ne)-.1 F
 (current line without clearing the screen.)144 492 Q F2 -.18(re)108 504
 S(draw\255curr).18 E(ent\255line)-.18 E F0(Refresh the current line.)144
 516 Q F2(Commands f)87 532.8 Q(or Manipulating the History)-.25 E
-(accept\255line \(Newline, Retur)108 544.8 Q(n\))-.15 E F0 .159
-(Accept the line re)144 556.8 R -.05(ga)-.15 G .159
+(accept\255line \(Newline, Retur)108 544.8 Q(n\))-.15 E F0 .158
+(Accept the line re)144 556.8 R -.05(ga)-.15 G .158
 (rdless of where the cursor is.).05 F .158(If this line is non-empty)
-5.158 F 2.658(,a)-.65 G .158(dd it to the history list)-2.658 F .699
+5.158 F 2.659(,a)-.65 G .159(dd it to the history list)-2.659 F .699
 (according to the state of the)144 568.8 R/F3 9/Times-Bold@0 SF
 (HISTCONTR)3.199 E(OL)-.27 E F0 -.25(va)2.949 G 3.199(riable. If).25 F
 .699(the line is a modi\214ed history line, then)3.199 F
@@ -4345,94 +4347,95 @@ E(ving forw)-.15 E(ard in the list.)-.1 E F2
 .3 -.15(ve t)-.15 H 2.5(ot).15 G(he end of the input history)-2.5 E 2.5
 (,i)-.65 G(.e., the line currently being entered.)-2.5 E F2 -2.29 -.18
 (re v)108 688.8 T(erse\255sear).08 E(ch\255history \(C\255r\))-.18 E F0
-1.471(Search backw)144 700.8 R 1.471
-(ard starting at the current line and mo)-.1 F 1.47
+1.47(Search backw)144 700.8 R 1.471
+(ard starting at the current line and mo)-.1 F 1.471
 (ving `up' through the history as necessary)-.15 F(.)-.65 E
 (This is an incremental search.)144 712.8 Q(GNU Bash-3.2)72 768 Q
-(2006 December 26)135.965 E(36)185.955 E 0 Cg EP
+(2007 January 12)140.96 E(36)190.95 E 0 Cg EP
 %%Page: 37 37
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 389.54(SH\(1\) B).35 F(ASH\(1\))
 -.35 E/F1 10/Times-Bold@0 SF -.25(fo)108 84 S(rward\255sear).25 E
-(ch\255history \(C\255s\))-.18 E F0 1.131(Search forw)144 96 R 1.131
-(ard starting at the current line and mo)-.1 F 1.132(ving `do)-.15 F
-1.132(wn' through the history as necessary)-.25 F(.)-.65 E
+(ch\255history \(C\255s\))-.18 E F0 1.132(Search forw)144 96 R 1.132
+(ard starting at the current line and mo)-.1 F 1.131(ving `do)-.15 F
+1.131(wn' through the history as necessary)-.25 F(.)-.65 E
 (This is an incremental search.)144 108 Q F1(non\255incr)108 120 Q
 (emental\255r)-.18 E -2.3 -.15(ev e)-.18 H(rse\255sear).15 E
-(ch\255history \(M\255p\))-.18 E F0 .165(Search backw)144 132 R .164(ar\
+(ch\255history \(M\255p\))-.18 E F0 .164(Search backw)144 132 R .164(ar\
 d through the history starting at the current line using a non-incremen\
 tal search for)-.1 F 2.5(as)144 144 S(tring supplied by the user)-2.5 E
 (.)-.55 E F1(non\255incr)108 156 Q(emental\255f)-.18 E(orward\255sear)
--.25 E(ch\255history \(M\255n\))-.18 E F0 1.353(Search forw)144 168 R
+-.25 E(ch\255history \(M\255n\))-.18 E F0 1.354(Search forw)144 168 R
 1.354(ard through the history using a non-incremental search for a stri\
 ng supplied by the)-.1 F(user)144 180 Q(.)-.55 E F1(history\255sear)108
-192 Q(ch\255f)-.18 E(orward)-.25 E F0 .249(Search forw)144 204 R .249(a\
+192 Q(ch\255f)-.18 E(orward)-.25 E F0 .248(Search forw)144 204 R .249(a\
 rd through the history for the string of characters between the start o\
 f the current line)-.1 F(and the point.)144 216 Q
 (This is a non-incremental search.)5 E F1(history\255sear)108 228 Q
-(ch\255backward)-.18 E F0 .95(Search backw)144 240 R .951(ard through t\
-he history for the string of characters between the start of the curren\
-t)-.1 F(line and the point.)144 252 Q(This is a non-incremental search.)
-5 E F1(yank\255nth\255ar)108 264 Q 2.5(g\()-.1 G<4dad43ad7929>-2.5 E F0
-.622(Insert the \214rst ar)144 276 R .622(gument to the pre)-.18 F .622
+(ch\255backward)-.18 E F0 .951(Search backw)144 240 R .951(ard through \
+the history for the string of characters between the start of the curre\
+nt)-.1 F(line and the point.)144 252 Q
+(This is a non-incremental search.)5 E F1(yank\255nth\255ar)108 264 Q
+2.5(g\()-.1 G<4dad43ad7929>-2.5 E F0 .622(Insert the \214rst ar)144 276
+R .622(gument to the pre)-.18 F .622
 (vious command \(usually the second w)-.25 F .622(ord on the pre)-.1 F
-.622(vious line\))-.25 F .794(at point.)144 288 R -.4(Wi)5.794 G .794
+.622(vious line\))-.25 F .795(at point.)144 288 R -.4(Wi)5.795 G .794
 (th an ar).4 F(gument)-.18 E/F2 10/Times-Italic@0 SF(n)3.294 E F0 3.294
 (,i).24 G .794(nsert the)-3.294 F F2(n)3.294 E F0 .794(th w)B .794
-(ord from the pre)-.1 F .794(vious command \(the w)-.25 F .795
-(ords in the)-.1 F(pre)144 300 Q .292(vious command be)-.25 F .292
+(ord from the pre)-.1 F .794(vious command \(the w)-.25 F .794
+(ords in the)-.1 F(pre)144 300 Q .291(vious command be)-.25 F .291
 (gin with w)-.15 F .291(ord 0\).)-.1 F 2.791(An)5.291 G -2.25 -.15(eg a)
 -2.791 H(ti).15 E .591 -.15(ve a)-.25 H -.18(rg).15 G .291
-(ument inserts the).18 F F2(n)2.791 E F0 .291(th w)B .291
-(ord from the end of)-.1 F .281(the pre)144 312 R .281(vious command.)
--.25 F .281(Once the ar)5.281 F(gument)-.18 E F2(n)2.781 E F0 .281
-(is computed, the ar)2.781 F .281(gument is e)-.18 F .282
+(ument inserts the).18 F F2(n)2.791 E F0 .291(th w)B .292
+(ord from the end of)-.1 F .282(the pre)144 312 R .282(vious command.)
+-.25 F .282(Once the ar)5.282 F(gument)-.18 E F2(n)2.781 E F0 .281
+(is computed, the ar)2.781 F .281(gument is e)-.18 F .281
 (xtracted as if the "!)-.15 F F2(n)A F0(")A(history e)144 324 Q
 (xpansion had been speci\214ed.)-.15 E F1(yank\255last\255ar)108 336 Q
-2.5(g\()-.1 G -1.667(M\255. ,)-2.5 F -1.667(M\255_ \))2.5 F F0 1.308
-(Insert the last ar)144 348 R 1.308(gument to the pre)-.18 F 1.307
-(vious command \(the last w)-.25 F 1.307(ord of the pre)-.1 F 1.307
-(vious history entry\).)-.25 F -.4(Wi)144 360 S .735(th an ar).4 F .735
-(gument, beha)-.18 F 1.035 -.15(ve ex)-.2 H .735(actly lik).15 F(e)-.1 E
-F1(yank\255nth\255ar)3.235 E(g)-.1 E F0 5.736(.S)C(uccessi)-5.736 E
-1.036 -.15(ve c)-.25 H .736(alls to).15 F F1(yank\255last\255ar)3.236 E
-(g)-.1 E F0(mo)3.236 E -.15(ve)-.15 G .728
+2.5(g\()-.1 G -1.667(M\255. ,)-2.5 F -1.667(M\255_ \))2.5 F F0 1.307
+(Insert the last ar)144 348 R 1.307(gument to the pre)-.18 F 1.307
+(vious command \(the last w)-.25 F 1.308(ord of the pre)-.1 F 1.308
+(vious history entry\).)-.25 F -.4(Wi)144 360 S .736(th an ar).4 F .736
+(gument, beha)-.18 F 1.036 -.15(ve ex)-.2 H .736(actly lik).15 F(e)-.1 E
+F1(yank\255nth\255ar)3.235 E(g)-.1 E F0 5.735(.S)C(uccessi)-5.735 E
+1.035 -.15(ve c)-.25 H .735(alls to).15 F F1(yank\255last\255ar)3.235 E
+(g)-.1 E F0(mo)3.235 E -.15(ve)-.15 G .728
 (back through the history list, inserting the last ar)144 372 R .728
-(gument of each line in turn.)-.18 F .728(The history e)5.728 F(xpan-)
+(gument of each line in turn.)-.18 F .729(The history e)5.728 F(xpan-)
 -.15 E .14(sion f)144 384 R .14(acilities are used to e)-.1 F .14
 (xtract the last ar)-.15 F .14(gument, as if the "!$" history e)-.18 F
 .14(xpansion had been speci-)-.15 F(\214ed.)144 396 Q F1
-(shell\255expand\255line \(M\255C\255e\))108 408 Q F0 .623
+(shell\255expand\255line \(M\255C\255e\))108 408 Q F0 .622
 (Expand the line as the shell does.)144 420 R .622
-(This performs alias and history e)5.622 F .622
+(This performs alias and history e)5.622 F .623
 (xpansion as well as all of the)-.15 F(shell w)144 432 Q(ord e)-.1 E 2.5
 (xpansions. See)-.15 F/F3 9/Times-Bold@0 SF(HIST)2.5 E(OR)-.162 E 2.25
 (YE)-.315 G(XP)-2.25 E(ANSION)-.666 E F0(belo)2.25 E 2.5(wf)-.25 G
 (or a description of history e)-2.5 E(xpansion.)-.15 E F1
-(history\255expand\255line \(M\255^\))108 444 Q F0 .938
+(history\255expand\255line \(M\255^\))108 444 Q F0 .939
 (Perform history e)144 456 R .939(xpansion on the current line.)-.15 F
 (See)5.939 E F3(HIST)3.439 E(OR)-.162 E 3.189(YE)-.315 G(XP)-3.189 E
-(ANSION)-.666 E F0(belo)3.189 E 3.439(wf)-.25 G .939(or a descrip-)
--3.439 F(tion of history e)144 468 Q(xpansion.)-.15 E F1(magic\255space)
-108 480 Q F0 1.627(Perform history e)144 492 R 1.627
-(xpansion on the current line and insert a space.)-.15 F(See)6.626 E F3
-(HIST)4.126 E(OR)-.162 E 3.876(YE)-.315 G(XP)-3.876 E(ANSION)-.666 E F0
+(ANSION)-.666 E F0(belo)3.189 E 3.438(wf)-.25 G .938(or a descrip-)
+-3.438 F(tion of history e)144 468 Q(xpansion.)-.15 E F1(magic\255space)
+108 480 Q F0 1.626(Perform history e)144 492 R 1.626
+(xpansion on the current line and insert a space.)-.15 F(See)6.627 E F3
+(HIST)4.127 E(OR)-.162 E 3.877(YE)-.315 G(XP)-3.877 E(ANSION)-.666 E F0
 (belo)144 504 Q 2.5(wf)-.25 G(or a description of history e)-2.5 E
-(xpansion.)-.15 E F1(alias\255expand\255line)108 516 Q F0 .394
-(Perform alias e)144 528 R .394(xpansion on the current line.)-.15 F
-(See)5.395 E F3(ALIASES)2.895 E F0(abo)2.645 E .695 -.15(ve f)-.15 H
-.395(or a description of alias e).15 F(xpan-)-.15 E(sion.)144 540 Q F1
+(xpansion.)-.15 E F1(alias\255expand\255line)108 516 Q F0 .395
+(Perform alias e)144 528 R .395(xpansion on the current line.)-.15 F
+(See)5.395 E F3(ALIASES)2.895 E F0(abo)2.645 E .694 -.15(ve f)-.15 H
+.394(or a description of alias e).15 F(xpan-)-.15 E(sion.)144 540 Q F1
 (history\255and\255alias\255expand\255line)108 552 Q F0
 (Perform history and alias e)144 564 Q(xpansion on the current line.)
 -.15 E F1(insert\255last\255ar)108 576 Q(gument \(M\255.)-.1 E 2.5(,M)
 .833 G -1.667(\255_ \))-2.5 F F0 2.5(As)144 588 S(ynon)-2.5 E(ym for)
 -.15 E F1(yank\255last\255ar)2.5 E(g)-.1 E F0(.)A F1
-(operate\255and\255get\255next \(C\255o\))108 600 Q F0 .948
+(operate\255and\255get\255next \(C\255o\))108 600 Q F0 .947
 (Accept the current line for e)144 612 R -.15(xe)-.15 G .948
-(cution and fetch the ne).15 F .948(xt line relati)-.15 F 1.247 -.15
-(ve t)-.25 H 3.447(ot).15 G .947(he current line from the)-3.447 F
+(cution and fetch the ne).15 F .948(xt line relati)-.15 F 1.248 -.15
+(ve t)-.25 H 3.448(ot).15 G .948(he current line from the)-3.448 F
 (history for editing.)144 624 Q(An)5 E 2.5(ya)-.15 G -.18(rg)-2.5 G
 (ument is ignored.).18 E F1
 (edit\255and\255execute\255command \(C\255xC\255e\))108 636 Q F0(In)144
@@ -4443,85 +4446,84 @@ F1(yank\255nth\255ar)3.235 E(g)-.1 E F0 5.736(.S)C(uccessi)-5.736 E
 /Times-Roman@0 SF(,)A F3($EDIT)2.25 E(OR)-.162 E F4(,)A F0(and)2.25 E F2
 (emacs)2.5 E F0(as the editor)2.5 E 2.5(,i)-.4 G 2.5(nt)-2.5 G
 (hat order)-2.5 E(.)-.55 E F1(Commands f)87 676.8 Q(or Changing T)-.25 E
-(ext)-.92 E(delete\255char \(C\255d\))108 688.8 Q F0 .358
+(ext)-.92 E(delete\255char \(C\255d\))108 688.8 Q F0 .357
 (Delete the character at point.)144 700.8 R .358(If point is at the be)
 5.358 F .358(ginning of the line, there are no characters in the)-.15 F
 (line, and the last character typed w)144 712.8 Q(as not bound to)-.1 E
 F1(delete\255char)2.5 E F0 2.5(,t)C(hen return)-2.5 E F3(EOF)2.5 E F4(.)
-A F0(GNU Bash-3.2)72 768 Q(2006 December 26)135.965 E(37)185.955 E 0 Cg
-EP
+A F0(GNU Bash-3.2)72 768 Q(2007 January 12)140.96 E(37)190.95 E 0 Cg EP
 %%Page: 38 38
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 389.54(SH\(1\) B).35 F(ASH\(1\))
 -.35 E/F1 10/Times-Bold@0 SF(backward\255delete\255char \(Rubout\))108
-84 Q F0 .552(Delete the character behind the cursor)144 96 R 5.553(.W)
+84 Q F0 .553(Delete the character behind the cursor)144 96 R 5.553(.W)
 -.55 G .553(hen gi)-5.553 F -.15(ve)-.25 G 3.053(nan).15 G .553
-(umeric ar)-3.053 F .553(gument, sa)-.18 F .853 -.15(ve t)-.2 H .553
-(he deleted te).15 F .553(xt on)-.15 F(the kill ring.)144 108 Q F1 -.25
-(fo)108 120 S(rward\255backward\255delete\255char).25 E F0 .474
-(Delete the character under the cursor)144 132 R 2.974(,u)-.4 G .474
-(nless the cursor is at the end of the line, in which case the)-2.974 F
+(umeric ar)-3.053 F .552(gument, sa)-.18 F .852 -.15(ve t)-.2 H .552
+(he deleted te).15 F .552(xt on)-.15 F(the kill ring.)144 108 Q F1 -.25
+(fo)108 120 S(rward\255backward\255delete\255char).25 E F0 .473
+(Delete the character under the cursor)144 132 R 2.973(,u)-.4 G .474
+(nless the cursor is at the end of the line, in which case the)-2.973 F
 (character behind the cursor is deleted.)144 144 Q F1
-(quoted\255insert \(C\255q, C\255v\))108 156 Q F0 .778(Add the ne)144
+(quoted\255insert \(C\255q, C\255v\))108 156 Q F0 .779(Add the ne)144
 168 R .779(xt character typed to the line v)-.15 F 3.279(erbatim. This)
 -.15 F .779(is ho)3.279 F 3.279(wt)-.25 G 3.279(oi)-3.279 G .779
-(nsert characters lik)-3.279 F(e)-.1 E F1(C\255q)3.279 E F0 3.279(,f)C
-(or)-3.279 E -.15(ex)144 180 S(ample.).15 E F1(tab\255insert \(C\255v T)
+(nsert characters lik)-3.279 F(e)-.1 E F1(C\255q)3.278 E F0 3.278(,f)C
+(or)-3.278 E -.15(ex)144 180 S(ample.).15 E F1(tab\255insert \(C\255v T)
 108 192 Q(AB\))-.9 E F0(Insert a tab character)144 204 Q(.)-.55 E F1
 (self\255insert \(a, b, A, 1, !, ...\))108 216 Q F0
 (Insert the character typed.)144 228 Q F1(transpose\255chars \(C\255t\))
-108 240 Q F0 .322(Drag the character before point forw)144 252 R .321
+108 240 Q F0 .321(Drag the character before point forw)144 252 R .321
 (ard o)-.1 F -.15(ve)-.15 G 2.821(rt).15 G .321
-(he character at point, mo)-2.821 F .321(ving point forw)-.15 F .321
+(he character at point, mo)-2.821 F .322(ving point forw)-.15 F .322
 (ard as well.)-.1 F 1.182
 (If point is at the end of the line, then this transposes the tw)144 264
-R 3.683(oc)-.1 G 1.183(haracters before point.)-3.683 F(Ne)6.183 E -.05
+R 3.682(oc)-.1 G 1.182(haracters before point.)-3.682 F(Ne)6.182 E -.05
 (ga)-.15 G(ti).05 E -.15(ve)-.25 G(ar)144 276 Q(guments ha)-.18 E .3
 -.15(ve n)-.2 H 2.5(oe).15 G -.25(ff)-2.5 G(ect.).25 E F1
-(transpose\255w)108 288 Q(ords \(M\255t\))-.1 E F0 .024(Drag the w)144
-300 R .024(ord before point past the w)-.1 F .023(ord after point, mo)
--.1 F .023(ving point o)-.15 F -.15(ve)-.15 G 2.523(rt).15 G .023(hat w)
--2.523 F .023(ord as well.)-.1 F .023(If point)5.023 F
+(transpose\255w)108 288 Q(ords \(M\255t\))-.1 E F0 .023(Drag the w)144
+300 R .023(ord before point past the w)-.1 F .023(ord after point, mo)
+-.1 F .023(ving point o)-.15 F -.15(ve)-.15 G 2.524(rt).15 G .024(hat w)
+-2.524 F .024(ord as well.)-.1 F .024(If point)5.024 F
 (is at the end of the line, this transposes the last tw)144 312 Q 2.5
 (ow)-.1 G(ords on the line.)-2.6 E F1(upcase\255w)108 324 Q
-(ord \(M\255u\))-.1 E F0 1.698(Uppercase the current \(or follo)144 336
+(ord \(M\255u\))-.1 E F0 1.699(Uppercase the current \(or follo)144 336
 R 1.698(wing\) w)-.25 F 4.198(ord. W)-.1 F 1.698(ith a ne)-.4 F -.05(ga)
--.15 G(ti).05 E 1.999 -.15(ve a)-.25 H -.18(rg).15 G 1.699
+-.15 G(ti).05 E 1.998 -.15(ve a)-.25 H -.18(rg).15 G 1.698
 (ument, uppercase the pre).18 F(vious)-.25 E -.1(wo)144 348 S(rd, b).1 E
 (ut do not mo)-.2 E .3 -.15(ve p)-.15 H(oint.).15 E F1(do)108 360 Q
-(wncase\255w)-.1 E(ord \(M\255l\))-.1 E F0(Lo)144 372 Q 1.648
-(wercase the current \(or follo)-.25 F 1.648(wing\) w)-.25 F 4.148
-(ord. W)-.1 F 1.647(ith a ne)-.4 F -.05(ga)-.15 G(ti).05 E 1.947 -.15
-(ve a)-.25 H -.18(rg).15 G 1.647(ument, lo).18 F 1.647(wercase the pre)
+(wncase\255w)-.1 E(ord \(M\255l\))-.1 E F0(Lo)144 372 Q 1.647
+(wercase the current \(or follo)-.25 F 1.647(wing\) w)-.25 F 4.147
+(ord. W)-.1 F 1.648(ith a ne)-.4 F -.05(ga)-.15 G(ti).05 E 1.948 -.15
+(ve a)-.25 H -.18(rg).15 G 1.648(ument, lo).18 F 1.648(wercase the pre)
 -.25 F(vious)-.25 E -.1(wo)144 384 S(rd, b).1 E(ut do not mo)-.2 E .3
 -.15(ve p)-.15 H(oint.).15 E F1(capitalize\255w)108 396 Q
-(ord \(M\255c\))-.1 E F0 1.974(Capitalize the current \(or follo)144 408
+(ord \(M\255c\))-.1 E F0 1.975(Capitalize the current \(or follo)144 408
 R 1.974(wing\) w)-.25 F 4.474(ord. W)-.1 F 1.974(ith a ne)-.4 F -.05(ga)
--.15 G(ti).05 E 2.274 -.15(ve a)-.25 H -.18(rg).15 G 1.975
+-.15 G(ti).05 E 2.274 -.15(ve a)-.25 H -.18(rg).15 G 1.974
 (ument, capitalize the pre).18 F(vious)-.25 E -.1(wo)144 420 S(rd, b).1
 E(ut do not mo)-.2 E .3 -.15(ve p)-.15 H(oint.).15 E F1 -.1(ove)108 432
-S(rwrite\255mode).1 E F0 -.8(To)144 444 S .438(ggle o).8 F -.15(ve)-.15
-G .438(rwrite mode.).15 F -.4(Wi)5.438 G .438(th an e).4 F .438
-(xplicit positi)-.15 F .737 -.15(ve n)-.25 H .437(umeric ar).15 F .437
-(gument, switches to o)-.18 F -.15(ve)-.15 G .437(rwrite mode.).15 F -.4
-(Wi)144 456 S .78(th an e).4 F .781(xplicit non-positi)-.15 F 1.081 -.15
-(ve n)-.25 H .781(umeric ar).15 F .781(gument, switches to insert mode.)
--.18 F .781(This command af)5.781 F(fects)-.25 E(only)144 468 Q F1
-(emacs)4.395 E F0(mode;)4.395 E F1(vi)4.395 E F0 1.894(mode does o)4.395
-F -.15(ve)-.15 G 1.894(rwrite dif).15 F(ferently)-.25 E 6.894(.E)-.65 G
-1.894(ach call to)-6.894 F/F2 10/Times-Italic@0 SF -.37(re)4.394 G
-(adline\(\)).37 E F0 1.894(starts in insert)4.394 F 3.968(mode. In)144
-480 R -.15(ove)3.968 G 1.468(rwrite mode, characters bound to).15 F F1
-(self\255insert)3.969 E F0 1.469(replace the te)3.969 F 1.469
-(xt at point rather than)-.15 F .958(pushing the te)144 492 R .958
-(xt to the right.)-.15 F .957(Characters bound to)5.958 F F1
-(backward\255delete\255char)3.457 E F0 .957(replace the character)3.457
-F(before point with a space.)144 504 Q(By def)5 E
-(ault, this command is unbound.)-.1 E F1(Killing and Y)87 520.8 Q
-(anking)-.85 E(kill\255line \(C\255k\))108 532.8 Q F0(Kill the te)144
-544.8 Q(xt from point to the end of the line.)-.15 E F1
+S(rwrite\255mode).1 E F0 -.8(To)144 444 S .437(ggle o).8 F -.15(ve)-.15
+G .437(rwrite mode.).15 F -.4(Wi)5.437 G .437(th an e).4 F .437
+(xplicit positi)-.15 F .738 -.15(ve n)-.25 H .438(umeric ar).15 F .438
+(gument, switches to o)-.18 F -.15(ve)-.15 G .438(rwrite mode.).15 F -.4
+(Wi)144 456 S .781(th an e).4 F .781(xplicit non-positi)-.15 F 1.081
+-.15(ve n)-.25 H .781(umeric ar).15 F .781
+(gument, switches to insert mode.)-.18 F .78(This command af)5.781 F
+(fects)-.25 E(only)144 468 Q F1(emacs)4.394 E F0(mode;)4.394 E F1(vi)
+4.394 E F0 1.894(mode does o)4.394 F -.15(ve)-.15 G 1.894(rwrite dif).15
+F(ferently)-.25 E 6.894(.E)-.65 G 1.894(ach call to)-6.894 F/F2 10
+/Times-Italic@0 SF -.37(re)4.395 G(adline\(\)).37 E F0 1.895
+(starts in insert)4.395 F 3.969(mode. In)144 480 R -.15(ove)3.969 G
+1.469(rwrite mode, characters bound to).15 F F1(self\255insert)3.969 E
+F0 1.468(replace the te)3.969 F 1.468(xt at point rather than)-.15 F
+.957(pushing the te)144 492 R .957(xt to the right.)-.15 F .958
+(Characters bound to)5.957 F F1(backward\255delete\255char)3.458 E F0
+.958(replace the character)3.458 F(before point with a space.)144 504 Q
+(By def)5 E(ault, this command is unbound.)-.1 E F1(Killing and Y)87
+520.8 Q(anking)-.85 E(kill\255line \(C\255k\))108 532.8 Q F0
+(Kill the te)144 544.8 Q(xt from point to the end of the line.)-.15 E F1
 (backward\255kill\255line \(C\255x Rubout\))108 556.8 Q F0(Kill backw)
 144 568.8 Q(ard to the be)-.1 E(ginning of the line.)-.15 E F1
 (unix\255line\255discard \(C\255u\))108 580.8 Q F0(Kill backw)144 592.8
@@ -4529,30 +4531,30 @@ Q(ard from point to the be)-.1 E(ginning of the line.)-.15 E
 (The killed te)5 E(xt is sa)-.15 E -.15(ve)-.2 G 2.5(do).15 G 2.5(nt)
 -2.5 G(he kill-ring.)-2.5 E F1(kill\255whole\255line)108 604.8 Q F0
 (Kill all characters on the current line, no matter where point is.)144
-616.8 Q F1(kill\255w)108 628.8 Q(ord \(M\255d\))-.1 E F0 .728
-(Kill from point to the end of the current w)144 640.8 R .729
-(ord, or if between w)-.1 F .729(ords, to the end of the ne)-.1 F .729
+616.8 Q F1(kill\255w)108 628.8 Q(ord \(M\255d\))-.1 E F0 .729
+(Kill from point to the end of the current w)144 640.8 R .728
+(ord, or if between w)-.1 F .728(ords, to the end of the ne)-.1 F .728
 (xt w)-.15 F(ord.)-.1 E -.8(Wo)144 652.8 S
 (rd boundaries are the same as those used by).8 E F1 -.25(fo)2.5 G
 (rward\255w).25 E(ord)-.1 E F0(.)A F1(backward\255kill\255w)108 664.8 Q
 (ord \(M\255Rubout\))-.1 E F0(Kill the w)144 676.8 Q(ord behind point.)
 -.1 E -.8(Wo)5 G(rd boundaries are the same as those used by).8 E F1
 (backward\255w)2.5 E(ord)-.1 E F0(.)A F1(unix\255w)108 688.8 Q
-(ord\255rubout \(C\255w\))-.1 E F0 .365(Kill the w)144 700.8 R .365
-(ord behind point, using white space as a w)-.1 F .364(ord boundary)-.1
-F 5.364(.T)-.65 G .364(he killed te)-5.364 F .364(xt is sa)-.15 F -.15
-(ve)-.2 G 2.864(do).15 G 2.864(nt)-2.864 G(he)-2.864 E(kill-ring.)144
-712.8 Q(GNU Bash-3.2)72 768 Q(2006 December 26)135.965 E(38)185.955 E 0
-Cg EP
+(ord\255rubout \(C\255w\))-.1 E F0 .364(Kill the w)144 700.8 R .364
+(ord behind point, using white space as a w)-.1 F .365(ord boundary)-.1
+F 5.365(.T)-.65 G .365(he killed te)-5.365 F .365(xt is sa)-.15 F -.15
+(ve)-.2 G 2.865(do).15 G 2.865(nt)-2.865 G(he)-2.865 E(kill-ring.)144
+712.8 Q(GNU Bash-3.2)72 768 Q(2007 January 12)140.96 E(38)190.95 E 0 Cg
+EP
 %%Page: 39 39
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 389.54(SH\(1\) B).35 F(ASH\(1\))
 -.35 E/F1 10/Times-Bold@0 SF(unix\255\214lename\255rubout)108 84 Q F0
-.166(Kill the w)144 96 R .166
+.167(Kill the w)144 96 R .166
 (ord behind point, using white space and the slash character as the w)
--.1 F .167(ord boundaries.)-.1 F(The)5.167 E(killed te)144 108 Q
+-.1 F .166(ord boundaries.)-.1 F(The)5.166 E(killed te)144 108 Q
 (xt is sa)-.15 E -.15(ve)-.2 G 2.5(do).15 G 2.5(nt)-2.5 G(he kill-ring.)
 -2.5 E F1(delete\255horizontal\255space \(M\255\\\))108 120 Q F0
 (Delete all spaces and tabs around point.)144 132 Q F1(kill\255r)108 144
@@ -4560,15 +4562,15 @@ Q(egion)-.18 E F0(Kill the te)144 156 Q(xt in the current re)-.15 E
 (gion.)-.15 E F1(copy\255r)108 168 Q(egion\255as\255kill)-.18 E F0(Cop)
 144 180 Q 2.5(yt)-.1 G(he te)-2.5 E(xt in the re)-.15 E
 (gion to the kill b)-.15 E(uf)-.2 E(fer)-.25 E(.)-.55 E F1
-(copy\255backward\255w)108 192 Q(ord)-.1 E F0(Cop)144 204 Q 4.801(yt)-.1
-G 2.301(he w)-4.801 F 2.301(ord before point to the kill b)-.1 F(uf)-.2
-E(fer)-.25 E 7.301(.T)-.55 G 2.301(he w)-7.301 F 2.3
-(ord boundaries are the same as)-.1 F F1(back-)4.8 E(ward\255w)144 216 Q
-(ord)-.1 E F0(.)A F1(copy\255f)108 228 Q(orward\255w)-.25 E(ord)-.1 E F0
-(Cop)144 240 Q 4.507(yt)-.1 G 2.007(he w)-4.507 F 2.007(ord follo)-.1 F
-2.007(wing point to the kill b)-.25 F(uf)-.2 E(fer)-.25 E 7.008(.T)-.55
-G 2.008(he w)-7.008 F 2.008(ord boundaries are the same as)-.1 F F1 -.25
-(fo)4.508 G -.37(r-).25 G(ward\255w)144 252 Q(ord)-.1 E F0(.)A F1
+(copy\255backward\255w)108 192 Q(ord)-.1 E F0(Cop)144 204 Q 4.8(yt)-.1 G
+2.3(he w)-4.8 F 2.3(ord before point to the kill b)-.1 F(uf)-.2 E(fer)
+-.25 E 7.301(.T)-.55 G 2.301(he w)-7.301 F 2.301
+(ord boundaries are the same as)-.1 F F1(back-)4.801 E(ward\255w)144 216
+Q(ord)-.1 E F0(.)A F1(copy\255f)108 228 Q(orward\255w)-.25 E(ord)-.1 E
+F0(Cop)144 240 Q 4.508(yt)-.1 G 2.008(he w)-4.508 F 2.008(ord follo)-.1
+F 2.008(wing point to the kill b)-.25 F(uf)-.2 E(fer)-.25 E 7.007(.T)
+-.55 G 2.007(he w)-7.007 F 2.007(ord boundaries are the same as)-.1 F F1
+-.25(fo)4.507 G -.37(r-).25 G(ward\255w)144 252 Q(ord)-.1 E F0(.)A F1
 (yank \(C\255y\))108 264 Q F0 -1(Ya)144 276 S
 (nk the top of the kill ring into the b)1 E(uf)-.2 E(fer at point.)-.25
 E F1(yank\255pop \(M\255y\))108 288 Q F0
@@ -4576,26 +4578,26 @@ E F1(yank\255pop \(M\255y\))108 288 Q F0
 (op. Only)-2.5 F -.1(wo)2.5 G(rks follo).1 E(wing)-.25 E F1(yank)2.5 E
 F0(or)2.5 E F1(yank\255pop)2.5 E F0(.)A F1(Numeric Ar)87 316.8 Q
 (guments)-.1 E(digit\255ar)108 328.8 Q
-(gument \(M\2550, M\2551, ..., M\255\255\))-.1 E F0 .642
+(gument \(M\2550, M\2551, ..., M\255\255\))-.1 E F0 .641
 (Add this digit to the ar)144 340.8 R .641
 (gument already accumulating, or start a ne)-.18 F 3.141(wa)-.25 G -.18
-(rg)-3.141 G 3.141(ument. M\255\255).18 F .641(starts a ne)3.141 F(g-)
+(rg)-3.141 G 3.142(ument. M\255\255).18 F .642(starts a ne)3.142 F(g-)
 -.15 E(ati)144 352.8 Q .3 -.15(ve a)-.25 H -.18(rg).15 G(ument.).18 E F1
-(uni)108 364.8 Q -.1(ve)-.1 G(rsal\255ar).1 E(gument)-.1 E F0 .778
+(uni)108 364.8 Q -.1(ve)-.1 G(rsal\255ar).1 E(gument)-.1 E F0 .779
 (This is another w)144 376.8 R .779(ay to specify an ar)-.1 F 3.279
-(gument. If)-.18 F .779(this command is follo)3.279 F .779
+(gument. If)-.18 F .779(this command is follo)3.279 F .778
 (wed by one or more digits,)-.25 F 1.376
 (optionally with a leading minus sign, those digits de\214ne the ar)144
 388.8 R 3.876(gument. If)-.18 F 1.376(the command is fol-)3.876 F(lo)144
 400.8 Q 1.17(wed by digits, e)-.25 F -.15(xe)-.15 G(cuting).15 E F1(uni)
 3.67 E -.1(ve)-.1 G(rsal\255ar).1 E(gument)-.1 E F0(ag)3.67 E 1.17
 (ain ends the numeric ar)-.05 F 1.17(gument, b)-.18 F 1.17(ut is other)
--.2 F(-)-.2 E .899(wise ignored.)144 412.8 R .898
-(As a special case, if this command is immediately follo)5.899 F .898
+-.2 F(-)-.2 E .898(wise ignored.)144 412.8 R .898
+(As a special case, if this command is immediately follo)5.898 F .898
 (wed by a character that is)-.25 F .243
 (neither a digit or minus sign, the ar)144 424.8 R .243
 (gument count for the ne)-.18 F .243(xt command is multiplied by four)
--.15 F 5.243(.T)-.55 G(he)-5.243 E(ar)144 436.8 Q .378
+-.15 F 5.242(.T)-.55 G(he)-5.242 E(ar)144 436.8 Q .378
 (gument count is initially one, so e)-.18 F -.15(xe)-.15 G .378
 (cuting this function the \214rst time mak).15 F .378(es the ar)-.1 F
 .378(gument count)-.18 F(four)144 448.8 Q 2.5(,as)-.4 G(econd time mak)
@@ -4603,12 +4605,12 @@ F0(or)2.5 E F1(yank\255pop)2.5 E F0(.)A F1(Numeric Ar)87 316.8 Q
 (Completing)87 465.6 Q(complete \(T)108 477.6 Q(AB\))-.9 E F0 1.137
 (Attempt to perform completion on the te)144 489.6 R 1.137
 (xt before point.)-.15 F F1(Bash)6.137 E F0 1.137
-(attempts completion treating the)3.637 F(te)144 501.6 Q .533(xt as a v)
--.15 F .533(ariable \(if the te)-.25 F .533(xt be)-.15 F .533(gins with)
--.15 F F1($)3.033 E F0 .533(\), username \(if the te)B .532(xt be)-.15 F
-.532(gins with)-.15 F F1(~)3.032 E F0 .532(\), hostname \(if the)B(te)
-144 513.6 Q .701(xt be)-.15 F .701(gins with)-.15 F F1(@)3.201 E F0 .701
-(\), or command \(including aliases and functions\) in turn.)B .702
+(attempts completion treating the)3.637 F(te)144 501.6 Q .532(xt as a v)
+-.15 F .532(ariable \(if the te)-.25 F .532(xt be)-.15 F .533(gins with)
+-.15 F F1($)3.033 E F0 .533(\), username \(if the te)B .533(xt be)-.15 F
+.533(gins with)-.15 F F1(~)3.033 E F0 .533(\), hostname \(if the)B(te)
+144 513.6 Q .702(xt be)-.15 F .702(gins with)-.15 F F1(@)3.202 E F0 .701
+(\), or command \(including aliases and functions\) in turn.)B .701
 (If none of these pro-)5.701 F
 (duces a match, \214lename completion is attempted.)144 525.6 Q F1
 (possible\255completions \(M\255?\))108 537.6 Q F0
@@ -4616,19 +4618,19 @@ F0(or)2.5 E F1(yank\255pop)2.5 E F0(.)A F1(Numeric Ar)87 316.8 Q
 -.15 E F1(insert\255completions \(M\255*\))108 561.6 Q F0 .783
 (Insert all completions of the te)144 573.6 R .783
 (xt before point that w)-.15 F .783(ould ha)-.1 F 1.083 -.15(ve b)-.2 H
-.783(een generated by).15 F F1(possible\255com-)3.282 E(pletions)144
-585.6 Q F0(.)A F1(menu\255complete)108 597.6 Q F0 .928(Similar to)144
-609.6 R F1(complete)3.428 E F0 3.428(,b)C .929(ut replaces the w)-3.628
+.783(een generated by).15 F F1(possible\255com-)3.283 E(pletions)144
+585.6 Q F0(.)A F1(menu\255complete)108 597.6 Q F0 .929(Similar to)144
+609.6 R F1(complete)3.429 E F0 3.429(,b)C .929(ut replaces the w)-3.629
 F .929(ord to be completed with a single match from the list of)-.1 F
-1.194(possible completions.)144 621.6 R 1.194(Repeated e)6.194 F -.15
-(xe)-.15 G 1.194(cution of).15 F F1(menu\255complete)3.694 E F0 1.193
-(steps through the list of possible)3.694 F .828
+1.193(possible completions.)144 621.6 R 1.193(Repeated e)6.193 F -.15
+(xe)-.15 G 1.193(cution of).15 F F1(menu\255complete)3.694 E F0 1.194
+(steps through the list of possible)3.694 F .829
 (completions, inserting each match in turn.)144 633.6 R .828
 (At the end of the list of completions, the bell is rung)5.828 F .727
 (\(subject to the setting of)144 645.6 R F1(bell\255style)3.227 E F0
 3.227(\)a)C .727(nd the original te)-3.227 F .727(xt is restored.)-.15 F
 .727(An ar)5.727 F .727(gument of)-.18 F/F2 10/Times-Italic@0 SF(n)3.227
-E F0(mo)3.227 E -.15(ve)-.15 G(s).15 E F2(n)3.227 E F0 1.73
+E F0(mo)3.227 E -.15(ve)-.15 G(s).15 E F2(n)3.228 E F0 1.73
 (positions forw)144 657.6 R 1.73(ard in the list of matches; a ne)-.1 F
 -.05(ga)-.15 G(ti).05 E 2.03 -.15(ve a)-.25 H -.18(rg).15 G 1.73
 (ument may be used to mo).18 F 2.03 -.15(ve b)-.15 H(ackw).15 E(ard)-.1
@@ -4637,11 +4639,11 @@ E(through the list.)144 669.6 Q(This command is intended to be bound to)
 (ault.)-.1 E F1(delete\255char\255or\255list)108 681.6 Q F0 .234
 (Deletes the character under the cursor if not at the be)144 693.6 R
 .234(ginning or end of the line \(lik)-.15 F(e)-.1 E F1(delete\255char)
-2.734 E F0(\).)A .425(If at the end of the line, beha)144 705.6 R -.15
+2.735 E F0(\).)A .425(If at the end of the line, beha)144 705.6 R -.15
 (ve)-.2 G 2.925(si).15 G .425(dentically to)-2.925 F F1
 (possible\255completions)2.925 E F0 5.425(.T)C .425
 (his command is unbound)-5.425 F(by def)144 717.6 Q(ault.)-.1 E
-(GNU Bash-3.2)72 768 Q(2006 December 26)135.965 E(39)185.955 E 0 Cg EP
+(GNU Bash-3.2)72 768 Q(2007 January 12)140.96 E(39)190.95 E 0 Cg EP
 %%Page: 40 40
 %%BeginPageSetup
 BP
@@ -4669,10 +4671,10 @@ F0(List the possible completions of the te)144 120 Q
 (possible\255hostname\255completions \(C\255x @\))108 252 Q F0
 (List the possible completions of the te)144 264 Q
 (xt before point, treating it as a hostname.)-.15 E F1
-(complete\255command \(M\255!\))108 276 Q F0 .581
+(complete\255command \(M\255!\))108 276 Q F0 .58
 (Attempt completion on the te)144 288 R .581
-(xt before point, treating it as a command name.)-.15 F .58
-(Command comple-)5.58 F .715(tion attempts to match the te)144 300 R
+(xt before point, treating it as a command name.)-.15 F .581
+(Command comple-)5.581 F .715(tion attempts to match the te)144 300 R
 .715(xt ag)-.15 F .715(ainst aliases, reserv)-.05 F .715(ed w)-.15 F
 .715(ords, shell functions, shell b)-.1 F .715(uiltins, and)-.2 F
 (\214nally e)144 312 Q -.15(xe)-.15 G
@@ -4680,9 +4682,9 @@ F0(List the possible completions of the te)144 120 Q
 (possible\255command\255completions \(C\255x !\))108 324 Q F0
 (List the possible completions of the te)144 336 Q
 (xt before point, treating it as a command name.)-.15 E F1
-(dynamic\255complete\255history \(M\255T)108 348 Q(AB\))-.9 E F0 .425
+(dynamic\255complete\255history \(M\255T)108 348 Q(AB\))-.9 E F0 .424
 (Attempt completion on the te)144 360 R .425
-(xt before point, comparing the te)-.15 F .425(xt ag)-.15 F .424
+(xt before point, comparing the te)-.15 F .425(xt ag)-.15 F .425
 (ainst lines from the history list)-.05 F
 (for possible completion matches.)144 372 Q F1
 (complete\255into\255braces \(M\255{\))108 384 Q F0 .4(Perform \214lena\
